my.acf {waveslim} | R Documentation

## Autocovariance Functions via the Discrete Fourier Transform

### Description

Computes the autocovariance function (ACF) for a time series or the cross-covariance function (CCF) between two time series.

### Usage

    my.acf(x)
    my.ccf(a, b)

### Arguments

`x,a,b` | time series

### Details

The series is zero padded to twice its length before the discrete Fourier transform is applied. Only the values corresponding to nonnegative lags are provided (for the ACF).

### Value

The autocovariance function for all nonnegative lags or the cross-covariance function for all lags.

### Author(s)

B. Whitcher

### Examples

    data(ibm)
    ibm.returns <- diff(log(ibm))
    plot(1:length(ibm.returns) - 1, my.acf(ibm.returns), type="h",
         xlab="lag", ylab="ACVS", main="Autocovariance Sequence for IBM Returns")

[Package waveslim version 1.7.5.1 Index]